Subject: Re: bug#57301: 28.1; 12 unexpected test results on emacs 28.1

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 21 Aug 2022 14:21:35 +0200

[email-masked] writes:

> In GNU Emacs 28.1 (build 1, x86_64-pc-linux-musl,
> GTK+ Version 3.24.34, cairo version 1.16.0)
>  of 2022-08-19 built on Mux.stemux.com
> Windowing system distributor 'The X.Org Foundation', version 11.0.12101004
> System Description: Exherbo Linux

I don't think we have any users that regularly test using a musl OS, so
I guess these problems are to be expected.  (I saw test failures in
string-collate* for instance, which is something where we defer to libc
for sorting, I think.)

It'd be more useful to have reports about these test failures for the
"master" branch instead of emacs-28.1.  Would it be possible for you to
run "make check" there instead?